Package org.opensaml.saml.saml1.core.impl

# Class RequestImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.AbstractSignableXMLObject
org.opensaml.saml.common.AbstractSignableSAMLObject
org.opensaml.saml.saml1.core.impl.RequestAbstractTypeImpl
org.opensaml.saml.saml1.core.impl.RequestImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `SignableSAMLObject`, `Request`, `RequestAbstractType`, `SignableXMLObject`

public class RequestImpl extends RequestAbstractTypeImpl implements Request
Concrete implementation of `Request`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AssertionArtifact>`
`assertionArtifacts`
The List of AssertionArtifacts.
`private final XMLObjectChildrenList<AssertionIDReference>`
`assertionIDReferences`
The List of AssertionIDReferences.
`private Query`
`query`
Saves the query (one of Query, SubjectQuery, AuthenticationQuery, AttributeQuery, AuthorizationDecisionQuery.

### Fields inherited from interface org.opensaml.saml.saml1.core.Request

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml1.core.RequestAbstractType

`ID_ATTRIB_NAME, ISSUEINSTANT_ATTRIB_NAME, ISSUEINSTANT_ATTRIB_QNAME, MAJORVERSION_ATTRIB_NAME, MINORVERSION_ATTRIB_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RequestImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<AssertionArtifact>`
`getAssertionArtifacts()`
Get the list of artifacts.
`List<AssertionIDReference>`
`getAssertionIDReferences()`
Get the list of AssertionIDReferences.
`AttributeQuery`
`getAttributeQuery()`
Get the request AttributeQuery.
`AuthenticationQuery`
`getAuthenticationQuery()`
Get the request AuthenticationQuery.
`AuthorizationDecisionQuery`
`getAuthorizationDecisionQuery()`
Get the request AuthorizationDecisionQuery.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`Query`
`getQuery()`
Get the request Query, SubjectQuery, AuthenticationQuery, AttributeQuery, or AuthorizationDecisionQuery.
`SubjectQuery`
`getSubjectQuery()`
Get the request SubjectQuery, AuthenticationQuery, AttributeQuery, or AuthorizationDecisionQuery.
`void`
`setQuery(Query q)`
Set the request query (Query, SubjectQuery, AuthenticationQuery, AttributeQuery, AuthorizationDecisioonQuery).

### Methods inherited from class org.opensaml.saml.saml1.core.impl.RequestAbstractTypeImpl

`getID, getIssueInstant, getRespondWiths, getSignatureReferenceID, getVersion, setID, setIssueInstant, setVersion`

### Methods inherited from class org.opensaml.saml.common.AbstractSignableSAMLObject

`equals, hashCode, setSignature`

### Methods inherited from class org.opensaml.xmlsec.signature.AbstractSignableXMLObject

`getSignature, isSigned`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.saml1.core.RequestAbstractType

`getID, getIssueInstant, getRespondWiths, getVersion, setID, setIssueInstant, setVersion`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### query

@Nullable private Query query
Saves the query (one of Query, SubjectQuery, AuthenticationQuery, AttributeQuery, AuthorizationDecisionQuery.

### assertionIDReferences

@Nonnull private final XMLObjectChildrenList<AssertionIDReference> assertionIDReferences
The List of AssertionIDReferences.

### assertionArtifacts

@Nonnull private final XMLObjectChildrenList<AssertionArtifact> assertionArtifacts
The List of AssertionArtifacts.

## Constructor Details

### RequestImpl

protected RequestImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getQuery

@Nullable public Query getQuery()
Get the request Query, SubjectQuery, AuthenticationQuery, AttributeQuery, or AuthorizationDecisionQuery.

Specified by:
  `getQuery` in interface `Request`
Returns:
  request Query, SubjectQuery, AuthenticationQuery, AttributeQuery, or AuthorizationDecisionQuery

### getSubjectQuery

@Nullable public SubjectQuery getSubjectQuery()
Get the request SubjectQuery, AuthenticationQuery, AttributeQuery, or AuthorizationDecisionQuery.

Specified by:
  `getSubjectQuery` in interface `Request`
Returns:
  request SubjectQuery, AuthenticationQuery, AttributeQuery, or AuthorizationDecisionQuery

### getAttributeQuery

@Nullable public AttributeQuery getAttributeQuery()
Get the request AttributeQuery.

Specified by:
  `getAttributeQuery` in interface `Request`
Returns:
  request AttributeQuery

### getAuthenticationQuery

@Nullable public AuthenticationQuery getAuthenticationQuery()
Get the request AuthenticationQuery.

Specified by:
  `getAuthenticationQuery` in interface `Request`
Returns:
  request AuthenticationQuery

### getAuthorizationDecisionQuery

@Nullable public AuthorizationDecisionQuery getAuthorizationDecisionQuery()
Get the request AuthorizationDecisionQuery.

Specified by:
  `getAuthorizationDecisionQuery` in interface `Request`
Returns:
  request AuthorizationDecisionQuery

### setQuery

public void setQuery(@Nullable Query q)
Set the request query (Query, SubjectQuery, AuthenticationQuery, AttributeQuery, AuthorizationDecisioonQuery).

Specified by:
  `setQuery` in interface `Request`
Parameters:
  `q` - Query, SubjectQuery, AuthenticationQuery, AttributeQuery, AuthorizationDecisioonQuery

### getAssertionIDReferences

@Nonnull @Live public List<AssertionIDReference> getAssertionIDReferences()
Get the list of AssertionIDReferences.

Specified by:
  `getAssertionIDReferences` in interface `Request`
Returns:
  list of AssertionIDReferences

### getAssertionArtifacts

@Nonnull @Live public List<AssertionArtifact> getAssertionArtifacts()
Get the list of artifacts.

Specified by:
  `getAssertionArtifacts` in interface `Request`
Returns:
  list of artifacts

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `RequestAbstractTypeImpl`
Returns:
  ordered list of child elements